Bug 1755117 - [RFE] EPEL-8 branch for python-pynacl
Summary: [RFE] EPEL-8 branch for python-pynacl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pynacl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1755035
TreeView+ depends on / blocked
 
Reported: 2019-09-24 19:33 UTC by Paul Howarth
Modified: 2019-10-27 00:12 UTC (History)
2 users (show)

Fixed In Version: python-pynacl-1.3.0-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-27 00:12:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Howarth 2019-09-24 19:33:51 UTC
This is a dependency of python-paramiko, which is a dependency of ansible.

I only need a Python 3 version.

python3-pynacl-1.2.1-3.el8 was in the AppStream repo for the RHEL8 beta, which is what I did a test build with, but it looks to have been dropped from EL-8 proper.

Comment 1 Paul Howarth 2019-10-02 19:43:59 UTC
Hi,

I have done test builds of both 1.2.1 (as per the Beta) and 1.3.0 (current Fedora version) and both build successfully, passing their test suites, if I delete the Python 2 support from the package.

If you're too busy to progress this package, I would be happy to branch and build it myself.

If I did that, do you have any recommendation as to which version to build for EPEL-8?

Comment 2 Orion Poplawski 2019-10-10 19:35:18 UTC
I would go with the latest.  Please go ahead and branch and build at this point.  Thanks!

Comment 4 Fedora Update System 2019-10-11 15:26:10 UTC
FEDORA-EPEL-2019-88c40ed38a has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-88c40ed38a

Comment 5 Fedora Update System 2019-10-11 23:27:45 UTC
python-paramiko-2.4.3-1.el8, python-pynacl-1.3.0-5.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-88c40ed38a

Comment 6 Fedora Update System 2019-10-27 00:12:28 UTC
python-paramiko-2.4.3-1.el8, python-pynacl-1.3.0-5.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.